Jump to content

টেমপ্লেট:মিডিয়াউইকি-ডাউনলোড-করুন

From mediawiki.org
This page is a translated version of the page Template:DownloadMediaWiki and the translation is 93% complete.
Outdated translations are marked like this.

মিডিয়াউইকি 1.42.1 (.zip) ডাউনলোড করুন

পরিবর্তে .tar.gz ডাউনলোড করুন

ডাউনলোডে সহায়তা

বেশিরভাগ কম্পিউটার অতিরিক্ত সফটওয়্যার ছাড়াই একটি জিপ ফাইল নির্যাস করতে পারে।

৭-জিপের (সেভেন-জিপ) ব্যবহারকারীরা: মনে রাখবেন যে ২০২১ সালের আগে, ৭-জিপ সঠিকভাবে .tar.gz ফাইলগুলি বের করতে পারেনি (T257102)। প্রথমে সর্বশেষ সংস্করণে হালনাগাদ করার পরামর্শ দেওয়া হচ্ছে।

সমস্ত সংস্করণ

মিডিয়াউইকি সংস্করণ 1.40 এবং 1.38 এবং তার আগের সংস্করণের ব্যবহারকারীদের জন্য: এই সংস্করণগুলোর সমর্থন বন্ধ করা হয়েছে। মিডিয়াউইকির একটি নতুন সংস্করণে হালনাগাদ করুন।

লাইসেন্স

মিডিয়াউইকি GNU সাধারণ পাবলিক লাইসেন্সের সংস্করণ ২-এর অধীনে লাইসেন্সযুক্ত মুক্ত সফটওয়্যার। যেহেতু মিডিয়াউইকি বিনামূল্যে লাইসেন্সপ্রাপ্ত, তাই প্রযোজ্য আইনের দ্বারা অনুমোদিত ব্যপ্তির কোনও ওয়্যারেন্টি নেই। [$link বিস্তারিত জানার জন্য গ্নু জিপিএল সংস্করণ ২-এর পুরো লেখাটি] পড়ুন। Because MediaWiki is licensed free of charge, there is no warranty, to the extent permitted by applicable law. Read the full text of the GNU GPL version 2 for details.

সিস্টেমের আবশ্যকতা

মিডিয়াউইকির 7.4.3+, একটি ওয়েবসার্ভার সফটওয়্যার, এবং হয় MariaDB 10.3.0+, MySQL 5.7.0+, SQLite 3.8.0+ বা PostgreSQL 10.0+ প্রয়োজন। মারিয়াডিবি বা মাইসিকুয়েলের ব্যবহারের পরামর্শ দেয়া হয়, যেমনিভাবে উইকিমিডিয়া মারিয়াডিবি ব্যবহার করে। অন্য কোনো ডাটাবেস সার্ভার কম পরীক্ষিত এবং আপনি সম্ভবত কিছু সমস্যাযুক্ত কিছু পেতে পারেন।

আরও তথ্যের জন্য, দয়া করে সিস্টেমের আবশ্যকতাসামঞ্জস্যতার পাতাসমূহ পড়ুন।

আপস্ট্রিম বাগের কারণে মিডিয়াউইকি পিএইচপি 7.4.0 - 7.4.2 পর্যন্ত সংস্করণগুলির সাথে সামঞ্জস্যপূর্ণ নয় Use PHP 7.4.3+ instead. আরও তথ্যের জন্য task T246594 দেখুন।
If using PHP 8, it is recommended to use MediaWiki 1.38.4 or higher. PHP 8 is not in use by Wikimedia wikis, and thus gets less testing, but other groups do use MediaWiki with PHP 8 without issue. If you encounter any bugs when using MediaWiki with PHP 8, please report them. See task T248925 for more information.